summaryrefslogtreecommitdiff
path: root/system/crashplan
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2022-04-13 11:17:26 -0400
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-16 12:11:24 +0700
commit4f35b10a9d13316e43e77a99d44b0bbe1ad1ee10 (patch)
tree00b489999ee576ceb82b467f84166fa4454c3c8c /system/crashplan
parentc22a27b2e662b2fbd820781187222a8be13cd84d (diff)
downloadslackbuilds-4f35b10a9d13316e43e77a99d44b0bbe1ad1ee10.tar.gz
system/crashplan: Fix .desktop, respect environment ARCH.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/crashplan')
-rw-r--r--system/crashplan/crashplan.SlackBuild37
1 files changed, 24 insertions, 13 deletions
diff --git a/system/crashplan/crashplan.SlackBuild b/system/crashplan/crashplan.SlackBuild
index cc842618f2..79dc185af7 100644
--- a/system/crashplan/crashplan.SlackBuild
+++ b/system/crashplan/crashplan.SlackBuild
@@ -5,11 +5,19 @@
# Written by Lionel Young <redtricycle@gmail.com>
# Based on http://slackbuilds.org/template.SlackBuild
+# 20220413 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - allow ARCH=i586 or ARCH=i686 in the environment.
+# - make .desktop file validate.
+# - remove 0-byte junk file .keepme from bin dir.
+# Note: this still fails sbopkglint due to shipping both 32-bit
+# and 64-bit libraries (the Java code presumably decides which
+# to use, at runtime). Not going to mess with this today.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=crashplan
VERSION=${VERSION:-4.3.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -19,21 +27,19 @@ MANIFESTDIR=/var/crashplan # Directory to store backups to
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-# Pre-compiled binaries included only for i486 and x86_64
-if [ ! "$ARCH" = "i486" -a ! "$ARCH" = "x86_64" ]; then
- echo "$ARCH architecture not supported."
- exit 1
-fi
+# Pre-compiled binaries included only for x86 and x86_64
+case "$ARCH" in
+ i?86) ;; # OK
+ x86_64) ;; # OK
+ *) echo "$ARCH architecture not supported." ; exit 1 ;;
+esac
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -54,9 +60,9 @@ cd $SRCNAM-install
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ -exec chmod 644 {} \+
# Repackage everything into /opt
mkdir -p $PKG/$TARGETDIR/bin/
@@ -88,7 +94,7 @@ echo "JAVACOMMON=${JAVACOMMON}" >> $PKG/${TARGETDIR}/install.vars
# Repackage the binaries in the appropriate directories
cp -a scripts/CrashPlanDesktop scripts/CrashPlanEngine scripts/run.conf $PKG/$TARGETDIR/bin/
-ln -s $TARGETDIR/bin/CrashPlanDesktop $PKG/usr/bin/CrashPlanDesktop
+ln -s ../../$TARGETDIR/bin/CrashPlanDesktop $PKG/usr/bin/CrashPlanDesktop
# Repackage the init script
# Perform substitution on the init script; we need to make the value of INITSCRIPT available
@@ -105,8 +111,13 @@ sed -i \
-e "s#Categories=;#Categories=System;Utility;#" \
-e "s#Exec=.*#Exec=${TARGETDIR}/bin/CrashPlanDesktop#" \
-e "s#Icon=.*#Icon=${TARGETDIR}/skin/icon_app_128x128.png#" \
+ -e '/^GenericName/s,\[en_CA\],,' \
+ -e '/^Encoding/d' \
$PKG/usr/share/applications/CrashPlan.desktop
+# 20220413 bkw: nobody needs this
+rm -f $PKG/$TARGETDIR/bin/.keepme
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
EULA.txt README \